20120716:
 - 8de3eb5 [2012-07-15 07:23:55 -0500] Regenerate
 - 6d53d4c [2012-07-15 07:23:25 -0500] Simplify support for optimized pointers to peripheral registers
 - 78925f9 [2012-07-10 04:55:40 -0500] Regenerate
 - 6273ec8 [2012-07-09 15:28:43 -0500] SF 3211744 provide msp430generic and msp430xgeneric
 - ffe34f9 [2012-07-09 15:04:41 -0500] Add aliases for CCS intrinsics
 - e418f28 [2012-07-05 16:04:52 -0500] Regenerate
 - 1f77abb [2012-07-04 13:59:12 -0500] Add d16 attribute to peripheral register declaration types

20120627:
 - 12649d7 [2012-06-18 17:59:29 -0500] Regenerate
 - 8f0829b [2012-05-15 23:58:07 +0100] Add DESTDIR support to install.sh
 - 3a603b1 [2012-06-18 17:58:52 -0500] Update version for development

20120606:
 - 28ab4d3 [2012-06-06 06:59:13 -0500] Regenerate
 - d6fca64 [2012-05-31 17:25:13 -0500] Add memory model header constants

20120514:
 - 6aa7fcd [2012-04-27 14:38:31 -0500] SF 3522088 msp430mcu install.sh misses a mkdir
 - 24f7728 [2012-04-27 10:40:26 -0500] Regenerate
 - b36473a [2012-04-27 10:40:15 -0500] genmem.py: update region aliases
 - ca78c1d [2012-04-27 02:53:08 -0500] Regenerate
 - cff0e23 [2012-04-27 02:52:06 -0500] Generate constants for CPUX target flags in msp430.h

20120425:
 - c4cde23 [2012-04-03 09:53:36 -0500] Add __a20__ to 20-bit peripheral register declarations

20120407:
 - 66fa96d [2012-04-05 18:18:34 -0500] Remove legacy remap

20120406:
 - 21aeaf4 [2012-04-05 18:17:09 -0500] SF 3514609 mcu suffix loses mcu characteristics

20120330:
 - b3b4ce4 [2012-03-30 09:24:50 -0500] Regenerate from new headers
 - 7323439 [2012-03-30 09:23:03 -0500] Remove workaround for device column misorder; update version
 - deacb7a [2012-03-30 09:19:04 -0500] New upstream headers from TI
 - ee3c0c2 [2012-03-22 01:53:49 -0500] Regenerate
 - 36f03e8 [2012-03-22 01:50:40 -0500] SF 3113886 Peripheral RAM block mapping
 - 6fc2786 [2012-03-22 01:46:08 -0500] Extract new fields from devices.csv
 - fa89f09 [2012-03-21 17:08:23 -0500] New upstream headers from TI (2012-03-19)
 - 8a0d950 [2012-03-21 16:46:53 -0500] SF 3474171 support TI standard interrupt declaration

20120311:
 - 2a88cc9 [2012-03-10 19:58:58 -0600] Regenerate
 - 0d957ee [2012-03-05 09:09:45 -0600] SF 3494318 bad -mmcu is not diagnosed

20120224:
 - 927d00e [2012-02-23 17:08:16 -0600] Regenerate
 - b56e625 [2012-02-23 17:07:49 -0600] Update version number
 - 1a153ab [2012-02-23 17:07:08 -0600] SF 3486466 if mcu left off, unclear error msg
 - 95c7f17 [2012-02-09 09:12:33 -0600] Regenerate including derived peripheral data
 - 1c71dcb [2012-02-09 09:11:26 -0600] extend analysis with data on mcu peripherals

20111219
 - 63aa769 [2011-12-24 12:33:08 -0600] Regenerate
 - 308eded [2011-12-24 12:31:44 -0600] Update version number
 - 1f273dd [2011-12-24 12:27:53 -0600] Add history
 - fb17d9b [2011-12-19 11:24:05 -0600] Regenerate
 - a9a7005 [2011-12-19 11:23:24 -0600] Update version number
 - f476a6f [2011-12-16 18:49:28 -0600] Update to match current TI part number decoder
 - 30f766c [2011-12-06 20:02:18 -0600] SF 3452842 Incorrect prototype for __builtin_frame_address et al

20111205
 - 21e50e6 [2011-11-22 04:30:07 -0600] Make MPY_32 constants consistent with mspgcc preprocessor values
 - d237543 [2011-11-22 04:26:49 -0600] SF 3383371 add watchdog support intrinsics
 - 81f0dab [2011-11-19 12:02:20 -0600] Add script to determine ldscripts path
 - 0f2f173 [2011-11-10 12:42:44 -0600] Regenerate derived files
 - 9c607af [2011-11-10 12:42:08 -0600] Remove support for normalizing generic mcus
 - 6d40e6e [2011-11-09 17:58:57 -0600] Add missed history section

20111107
 - 5e3235f [2011-11-07 10:17:40 -0600] Regenerate derived files
 - 4a5571e [2011-11-07 09:57:10 -0600] Update for AFE chips and generic header
 - 1960522 [2011-11-07 10:07:06 -0600] New upstream headers from TI (2011-11-07)
 - 6e0723e [2011-10-08 10:04:48 -0500] SF 3415373 enable -Werror -ansi etc.
 - 33edabe [2011-09-22 11:51:25 -0500] Update version number
 - da47e85 [2011-09-22 09:44:28 -0500] SF 3396636 make headers safe for C++
 - b30b22a [2011-09-18 13:16:13 -0500] Ignore compiled python files
 - e4f4640 [2011-09-18 13:15:58 -0500] SF 3411254 add __swap_bytes intrinsic
 - 8288bf3 [2011-09-18 12:57:04 -0500] SF 3411253 support <intrinsics.h>
 - 9058413 [2011-09-18 12:11:05 -0500] SF 3411243 need get/set interrupt state intrinsics
 - cb1c88c [2011-08-30 13:05:37 -0500] Regenerate with new version marker
 - a4058d3 [2011-08-30 09:42:35 -0500] Additional variants used in TI EXP430FG4618 example code
 - a232561 [2011-08-30 07:52:29 -0500] SF 3400714 __delay_cycles missing from in430.h
 - 562d35c [2011-08-23 17:56:40 -0500] Regenerate
 - a59f3a1 [2011-08-23 17:55:53 -0500] SF 3383736 separate info sections
 - e7f5cc2 [2011-08-23 17:50:37 -0500] Rename sector to segment
 - db70cc4 [2011-08-23 16:26:13 -0500] Regenerate derived files (now with sector counts for bsl and info)
 - 1e60152 [2011-08-23 16:22:28 -0500] Refactor devices.csv parser to be shared by different scripts
 - 357fd10 [2011-08-20 01:37:37 -0500] Regenerate derived files
 - ca06fb1 [2011-08-20 01:21:56 -0500] SF 3394904 mcu characterstics need to support preprocessor
 - a282120 [2011-08-02 08:35:39 -0500] SF 3384550 Missing __ASSEMBLER__ guard in msp430.h
 - cd2ba4f [2011-07-27 10:09:34 -0500] SF 3379189: Wrong permission on installed files
 - d9bdba4 [2011-07-27 10:09:23 -0500] Update with non-released version number
 - 6f2d9bb [2011-07-05 16:16:30 -0500] Regenerate derived files
 - a377df4 [2011-07-05 16:13:39 -0500] Update to match flags used in compiler

20110613
 - 7094929 [2011-06-12 14:35:51 -0500] Support installation when directory is not named "msp430mcu"
 - 0cba906 [2011-06-12 12:38:01 -0500] Add release history file

20110612
 - 83f7f01 [2011-06-12 12:10:35 -0500] SF 3315457 ensure version number information available in libc/mcu
 - 1b0d7be [2011-05-10 18:51:17 -0500] Regenerate derived files
 - 9047015 [2011-05-10 18:50:49 -0500] Fix drop of first chip in devices.csv
 - 59b00da [2011-05-09 18:40:10 -0500] Accommodate extra comments and empty lines in devices.csv
 - 3698f27 [2011-05-09 18:20:19 -0500] Upstream updates
 - 093f515 [2011-04-30 10:14:15 -0500] Display the explanation for expected inconsistencies
 - dd984ac [2011-04-30 10:09:45 -0500] Add overall copyright
 - 9004903 [2011-04-30 10:04:51 -0500] Add copyright to include files that are not insultingly trivial
 - 98d7677 [2011-04-30 09:58:49 -0500] Add copyright and association data to scripts
 - addb223 [2011-04-30 09:51:42 -0500] Remove unused script; material now in checkdev.py
 - 9f8e92e [2011-04-19 13:31:52 -0500] ld script reference to REGION_FAR_ROM is unconditional
 - 88203d0 [2011-04-18 16:41:23 -0500] SF 3289064 uniarch binutils missing far section support
 - c623e51 [2011-04-09 10:09:03 -0500] Definition of alloca compatible with GCC builtin
 - eafdc79 [2011-03-31 08:45:18 -0500] SF 3261408: preprocessed asm not building
 - a4ca1da [2011-03-31 08:44:26 -0500] Add more intrinsic aliases
 - 050174c [2011-03-22 10:35:19 -0500] Rename builtin, add more legacy aliases
 - a7fd179 [2011-03-16 12:34:30 -0500] Fix mode on upstream files
 - 6a249f9 [2011-03-15 10:12:15 -0500] Regenerate derived files
 - db85906 [2011-03-15 10:11:41 -0500] Cleanup scripts
 - 56c51de [2011-03-15 10:04:37 -0500] Make inconsistencies warning; explain why they are really ok
 - 8065e7e [2011-03-15 09:48:18 -0500] Update for new features in TI 20110303 release
 - ed95538 [2011-03-15 09:21:36 -0500] Unpacked upstream distribution received from TI on 20110303
 - b34ebe2 [2011-03-14 08:02:24 -0500] Cleanup and minimal documentation so somebody else can build this
 - 9ec795f [2011-03-14 07:37:09 -0500] Facility installing development area somewhere other than /msp430
 - 260a991 [2011-03-14 07:35:21 -0500] GCC-specific include files
 - f113101 [2011-03-14 07:07:46 -0500] Script to install generated files in an mspgcc prefix
 - 109a786 [2011-03-02 08:38:50 -0600] Update for new layout
 - cb47fe7 [2011-02-27 13:13:31 -0600] Remove startfile, now derived directly from ivcnt
 - b09fdd1 [2011-02-27 12:56:01 -0600] Recognize legacy names in core options.
 - c09414e [2011-02-27 12:48:15 -0600] Updates for new layout
 - 9c7dc60 [2011-01-20 13:29:20 -0600] Generate map from legacy to standard MCU names
 - 2177801 [2011-01-17 13:27:37 -0600] Put memory.x and periph.x into mcu-specific subdirs
 - e15fae8 [2011-01-17 12:09:12 -0600] Infer linker device file path from mcu
 - 4edec86 [2011-01-16 17:26:38 -0600] Support split directories, separate options
 - 71dd126 [2011-01-10 14:13:04 -0600] Document, support separated upstream/analysis directories
 - 8fc5c0c [2011-01-10 13:15:44 -0600] Move release authorization into upstream directory
 - 4ea8375 [2011-01-09 11:41:21 -0600] Move TI-furnished material into upstream directory
 - 454dfdc [2011-01-09 11:38:11 -0600] Remove legacy support scripts
 - 21073d3 [2011-01-09 11:37:46 -0600] Move scripts out of include directory
 - 6762d73 [2010-12-23 15:11:26 -0600] Restrict generation to non-legacy headers
 - c241c50 [2010-12-23 15:04:39 -0600] Avoid prefix ambiguity
 - c9de90c [2010-12-23 14:03:55 -0600] Display information on generic-to-F-variant mapping validity
 - 717b240 [2010-12-23 14:03:18 -0600] Rework to support individual files per spec
 - 007a59d [2010-12-23 11:31:01 -0600] Generate msp430device.spec for known devices
 - 0859591 [2010-12-23 11:29:30 -0600] Protect header against multiple inclusion
 - 93ae842 [2010-12-21 17:30:26 -0600] Update to characterize genericizability.
 - 83cfd84 [2010-12-21 14:12:25 -0600] Documentation, display actual differences
 - e049584 [2010-12-21 14:02:05 -0600] Checkpoint before trying to reconstruct what this does
 - 23d6ae8 [2010-10-22 09:26:04 -0500] Add email messages authorizing release of headers
 - 48f4cb4 [2010-10-06 14:09:20 -0500] Update with more information
 - 281f70f [2010-09-26 12:44:48 -0500] Something close to what will go into binutils
 - b447d13 [2010-09-26 12:44:34 -0500] Generate chip flags
 - 2d31db5 [2010-09-26 12:44:20 -0500] Add vectors start, to be used for binutils decode
 - 14a1b16 [2010-09-26 10:37:04 -0500] Add generic for mcu
 - e2cfc64 [2010-09-26 10:14:47 -0500] Replace shell script with python that validates headers/devices
 - 9e35b51 [2010-09-23 15:20:23 -0500] Horrifying steps toward supporting legacy environment; stuff it.
 - 5da00c4 [2010-09-23 12:40:10 -0500] Decode part numbers, use this to create generic
 - 1929665 [2010-09-23 11:09:04 -0500] Update for new columns
 - d1bffc5 [2010-09-23 11:08:55 -0500] Remove outdated TI-supplied file; now use genoldall.py
 - 62276f3 [2010-09-23 10:58:20 -0500] Update column numbers for new layout
 - 034875a [2010-09-23 10:55:24 -0500] Correct column header
 - 98e5e05 [2010-09-23 10:33:51 -0500] I have updated the devices.csv file, now it also contains a list of CPU bugs
 - 6d69744 [2010-09-23 10:31:33 -0500] Hi Peter,
 - b367b01 [2010-09-20 12:20:43 -0500] Add memory-type char for value line devices
 - 57a7fa0 [2010-08-29 13:46:15 -0500] Generate msp430.c for gcc.  Remainder managed by gcc tool from this.
 - 8d31d59 [2010-08-29 12:02:21 -0500] Help generate legacy binutils/gcc pieces
 - 0f0559a [2010-08-28 19:50:52 -0500] Eliminate individual vectors, fix link script syntax
 - ba1b6eb [2010-08-20 12:19:38 -0500] Utility to generate linker script MEMORY blocks
 - 2cbbe91 [2010-08-20 12:19:11 -0500] Eliminate trailing comma
 - 8aac389 [2010-08-20 02:19:42 -0500] Add interrupt vector length
 - c5f6c24 [2010-08-19 15:28:32 -0500] Get definitions of mcus with their key characteristics
 - a26e6bb [2010-08-18 17:01:12 -0500] Output to file; avoid trashing original versions
 - 9c79415 [2010-08-16 17:47:50 -0500] Generate linker scripts
 - 4d34d65 [2010-08-16 17:43:45 -0500] Script to extract part-number information from legacy MSPGCC source files
 - 14349c2 [2010-08-16 17:24:25 -0500] gcc/config/msp430 key files from mspgcc4 b71398d
 - 79a73af [2010-08-14 10:42:38 -0500] Table of device properties from TI
 - dfc762e [2010-07-28 17:19:24 -0500] Document part-number decoding
 - 04ed895 [2010-07-28 17:19:09 -0500] List the non-legacy headers separately
 - c41cbd7 [2010-07-28 15:32:04 -0500] Remove unnecessary noise
 - 48bc43f [2010-07-28 15:06:13 -0500] Helper script to determine chip equivalence
 - 53243ef [2010-07-24 12:29:07 -0500] Second version: avoids syntax that breaks use in asm code
 - 21c067c [2010-07-24 12:26:09 -0500] First version headers supplied by TI under TBR BSD license
